let battery_flash_button = document.getElementById("battery_flash_button") as HTMLButtonElement;
let battery_flash_file = document.getElementById("battery_flash_file") as HTMLInputElement;
let battery_flash_message = document.getElementById("battery_flash_message") as HTMLElement;
let battery_flash_progressBar = document.getElementById("battery_flash_progressBar") as HTMLProgressElement;
let battery_flash_loaded_n_total = document.getElementById("battery_flash_loaded_n_total") as HTMLElement;
let battery_flash_status = document.getElementById("battery_flash_status") as HTMLElement;


var ajax = new XMLHttpRequest();

ajax.upload.addEventListener("progress", event => {
  battery_flash_loaded_n_total.innerHTML = "Uploaded " + event.loaded + " bytes of " + event.total;
  var percent = (event.loaded / event.total) * 100;
  battery_flash_progressBar.value = Math.round(percent);
  battery_flash_status.innerHTML = Math.round(percent) + "%";
  battery_flash_message.innerHTML = "in progress";
}, false);
ajax.addEventListener("load", () => {
  battery_flash_status.innerHTML = ajax.responseText;
  battery_flash_message.innerHTML = "finished";
  battery_flash_progressBar.value = 0;
}, false);
ajax.addEventListener("error", () => {
  battery_flash_status.innerHTML = ajax.responseText;
  battery_flash_message.innerHTML = "failed";
}, false);
ajax.addEventListener("abort", () => {
  battery_flash_status.innerHTML = ajax.responseText;
  battery_flash_message.innerHTML = "aborted";
}, false);




battery_flash_button.onclick = async function (){
  //ajax.open("POST", "/flashbattery");
  //ajax.send(battery_flash_file.files[0]);

  ajax.open("POST", "/flashbattery?flash=true");
  ajax.send(battery_flash_file.files[0]);
};
